# H4609_InterGKQosMonReport Class Reference

`#include <h4609.h>`

Collaboration diagram for H4609_InterGKQosMonReport:

[legend]

## Public Types

| e_nonStandardData
| e_extensions
enum | OptionalFields { e_nonStandardData, e_extensions }

## Public Member Functions

| H4609_InterGKQosMonReport (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Data Fields

H4609_ArrayOf_RTCPMeasures | m_mediaInfo
H225_NonStandardParameter | m_nonStandardData
H4609_ArrayOf_Extension | m_extensions

## Member Enumeration Documentation

enum H4609_InterGKQosMonReport::OptionalFields

Enumerator:

  e_nonStandardData |
  e_extensions |

## Constructor & Destructor Documentation

H4609_InterGKQosMonReport::H4609_InterGKQosMonReport | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* H4609_InterGKQosMonReport::Clone | ( |  | ) | const

Comparison H4609_InterGKQosMonReport::Compare | ( | const PObject & | obj | ) | const

PBoolean H4609_InterGKQosMonReport::Decode | ( | PASN_Stream & | strm | ) |

void H4609_InterGKQosMonReport::Encode | ( | PASN_Stream & | strm | ) | const

PINDEX H4609_InterGKQosMonReport::GetDataLength | ( |  | ) | const

void H4609_InterGKQosMonReport::PrintOn | ( | ostream & | strm | ) | const

## Field Documentation

H4609_ArrayOf_Extension H4609_InterGKQosMonReport::m_extensions

H4609_ArrayOf_RTCPMeasures H4609_InterGKQosMonReport::m_mediaInfo

H225_NonStandardParameter H4609_InterGKQosMonReport::m_nonStandardData

The documentation for this class was generated from the following file:

- h4609.h